#! /usr/bin/env racket

#lang racket

(define questions-and-answers
  (list
   (list "For the Maker Faire team, explain what your project is and describe what you will actually be bringing to Maker Faire. This information will not be made public. Be as descriptive as possible."
         "The challenge-bot project empowers people to build, use, inspect, and modify their first robot.  People can download the bill of materials, and print the designs to make their own robot kit, or they can buy one we've already gathered together.  Similarly, they can watch instructional videos we've made and posted on YouTube, audit our classes in person, or buy teaching time.  Classes cover mechanical design, wiring, and coding.  After taking this class, former students have taken on such projects as combining two kits to make a single more capable robot, and creating a larger robot with bigger wheels and motors.

We will be bringing kits to sell, assembled robots to demonstrate, and informational flyers and business cards about the challenge-bot project.  If power is available, we will have a 3d printer printing parts of the robot.  Challenge-bot kits include an arduino uno, sonar sensors, motors, and printed parts.  See more details here: https://gitorious.org/ozzloy/challenge-bot/source/master:bill-of-materials.rkt")
   (list "Project / Exhibit Name*"
         "challenge-bot")
   (list "Provide a short description for our website, mobile app,
 and your sign.*"
         "Build your first robot!")
   (list "This photo will appear publicly with your short description above.

File must be at least 500px wide or larger. PNG, JPG, JPEG or GIF formats only."
         "media/danny-woodland-creatures/woodland-creatures-and-robots.png")
   (list "You indicated you will be promoting or selling. Describe and list
 the price range of your product(s).*"
         "cheap kit $35:
This kit comes without an arduino, 3D printed parts, breadboard, batteries, or any parts prepared.

It includes screws, nuts, bolts, washers, wires, quad half-h bridge, sonar sensors, hair ties, deck, battery holders, angle brackets, motors, breadboard, double-stick squares, and an alan wrench.  Everything is contained in a cardboard box measuring 12\"x12\"x6\", which can be used to house the robot even after it's completely assembled.


expensive kit $95:
This kit has all the parts of the cheap kit, plus all the parts left out of the cheap kit.  In addition, it has half of the soldering done, half of the wires stripped, one motor prepared, and holes for the arduino pre-drilled into the deck.


We will walk Maker Faire participants through making the robot gratis.  We will also be promoting our teaching service.  Classes happen every month in Sunnyvale and Palo Alto. Signing up for the teaching time costs $100 for 8 hours of instruction and the use of tools.

Anyone is free to assemble their own kit from the bill of materials and audit classes gratis.")
   (list "Please describe your hands-on activity.*"
         "Participants can put challenge-bot kits together. We have written, and video instructions.  In addition we will be instructing attendees in person.  We will have unpowered tools such as screw drivers and wire strippers for making the robot. Maker Faire participants can also play with the demo robots that we have already made.

Instruction covers step-by-step how to accomplish two major goals, staying on the table and following.  Using the sonar sensors facing downwards, the challenge-bot detects the table edge to stay on the table instead of falling off.  When the sensors face forwards, the challenge-bot follows any flat surface in front of it.

Participants can use their own computers or computers that we will provide to program the robot.  The challenge-bot's will all have the code for following loaded to them initially.

Whether or not they finish the robot at the Maker Faire, they can continue to work on their own by watching the online videos or following the written instructions.

Anyone, whether they buy a kit or not, can sign up for our classes, which we hold every month in Sunnyvale and Palo Alto.")
   (list "Describe any fire and/or safety issues"
         "None.  The interaction is with unpowered tools and slow, small, light robots.")
   (list "What inspired you to make this project?"
         "In 2012, I (Daniel) participated in ai-class.org, simulating a self-driving car on my computer.  Ever since then, I've been really interested in making this happen in real life.  In the process, smaller projects have taught me about what goes into building a robot.  With the IOIO bot class, my girlfriend and I learned that we could make a robot from a kit.  Later, we both took the class offered by the homebrew robotics club on building a robot.  From this class, we learned that we could make robots without a kit.  Since then, we've been working together to improve that class and offer it.")
   (list "How will you assist in promoting your exhibit?"
         "We will post flyers in the Hacker Dojo, on Stanford campus, in coffee shops, and bookstores in Mountain View and Sunnyvale.  We will also promote it during our challenge-bot classes.  I (Daniel) will tell the FIRST robotics team I mentor about it.  Also, we will put up a page on challenge-bot.com about it.")
   (list "Is there anything else you would like to tell us?"
         "We both really want to have a space at the Maker Faire!")
   (list
    "release and consent, must read before submitting"
    "Participation Agreement: Release and Consent
TERMS AND CONDITIONS OF PARTICIPATION If accepted, Maker Media, Inc. agrees to the participation of the person or organization identified below (“Maker”) in Maker Faire Bay Area 2015 (“Maker Faire”), and the Maker agrees to participate, in accordance with terms of this Agreement. In this Agreement, “we” or “us” means Maker Media, and “you” means the Maker identified below. “Exhibit” means the display and/or demonstration, presentation, performance, and/or other activities and materials that you provide or present in the space or work area assigned to you by us at Maker Faire.

Your participation creates a Contract that limits the liability of Maker Media, Inc.; the Maker Faire sponsors, suppliers, concessionaires, staff, booth exhibitors, and venue; and each of their respective officers, directors, employees, representatives, affiliates and owners (collectively and individually, “Promoters”). You agree to all of the following provisions, which are part of the Contract:

RULES and LAWS: You agree to comply with all applicable laws, the Maker Toolkit , and any other requirements, and/or rules & regulations issued by us in connection with Maker Faire. You are responsible for obtaining any permissions required for your performance, distribution, or posting of copyrighted material; for obtaining any necessary licenses and permits; and for payment of all taxes (including sales and use taxes), license fees, or other charges applicable to your participation in Maker Faire. We may terminate this Agreement and/or your participation in Maker Faire if you violate this Agreement, or the standards of conduct established by us or by the venue proprietor.

ACKNOWLEDGEMENT OF RISK. By using a ticket or entry pass and participating in Maker Faire exhibits and activities, you assume all risks to you and your children of attending and participating in the Maker Faire. You acknowledge that Maker Faire exhibits and activities are inherently hazardous, and that risks to you and your children include physical injury, including death, and property damage and loss. You are solely responsible for supervising and controlling the children in your party and ensuring their safety.

RELEASE OF LIABILITY. You hereby release the Promoters, and each of them, from any and all liability, including but not limited to (1) damage to or loss of your property, (2) harm, injury and death to yourself and your children, and (3) all risks resulting from negligent or incorrect instruction or supervision by Promoters or anyone providing a booth or activity. This release is intended to discharge in advance all liability related to your and your children’s participation in the Maker Faire, even though that liability may arise out of negligence, carelessness, or other conduct on the part of Promoters or third parties. This release of liability applies to your successors and heirs.

LIMITATIONS ON LIABILITY — INDEMNITY: You agree that we will not be liable in any way to you if we cancel Maker Faire. You waive any claim or potential claim against us if Maker Faire is cancelled, and release us from any resulting or related liability, cost, expense, or damage. Neither you, nor we, our affiliates, or the venue proprietor (collectively, the \"Event Providers\") will be liable for lost profits or other indirect, incidental, consequential, or exemplary damages in connection with Maker Faire and/or this Agreement, whether or not such Event Provider or you have been advised of the possibility of such damages or lost profits. Neither party’s liability in connection with Maker Faire, or under this Agreement (except for your indemnity obligations), exceeds three thousand dollars ($3,000). No Event Provider shall be liable to you for any damage, loss, harm, or injury to your person, property, or business, or any of your visitors, officers, agents, or employees, resulting from theft, fire, earthquake, water, unavailability of facilities, any errors or omissions in Maker Faire-related materials, insufficient participation, accident, or any other reason in connection with Maker Faire or related activities (such as staging), except to the extent directly attributable to our willful misconduct or gross negligence. You agree to indemnify, and hold harmless the Event Providers from and against any claim, cost, expense, loss, liability, or damage incurred as the result of any third-party claim based on (i) your construction or maintenance of an unsafe Exhibit, and/or (ii) your (or your agent’s) negligence or willful misconduct, and/or (iii) your material breach of this Agreement.

MISCELLANEOUS: This Agreement (including the Maker Toolkit and any accompanying Addendum) constitutes the final, complete, and exclusive agreement between you and us. This Agreement is made in consideration of the parties’ mutual promises contained in it. This Agreement may only be modified by the parties’ express written agreement, signed by both of them. You are an independent contractor and not our agent or employee. This Agreement will be interpreted under California law applicable to contracts made and performed by California residents in California. Any action to enforce this Agreement must be brought in the federal or state court located in San Francisco, California, and the parties agree to the exclusive venue and jurisdiction of these courts. You are not permitted to assign or otherwise transfer your rights or obligations under this Agreement to anyone else. The Limitations on Liability section (above) of these Terms and Conditions of Participation, shall survive the termination or expiration of this Agreement.

PHOTOGRAPH, RECORDING AND PUBLICITY RIGHTS.You and your Exhibit may appear in recordings of Maker Faire and related promotional or documentary materials. Your rights are waived to any images and/or recordings you may appear in while at Maker Faire and any/all related promotional or documentary materials.

You acknowledge that Maker Faire, including the Exhibit(s), may be recorded in audio, visual, and/or audiovisual media by us and/or our licensees, and you consent to the making and use of such recordings by us and/or our licensees for any purpose, such uses including without limitation the transcriptional, modification, reproduction, public display, distribution, broadcast, and transmission in any form. You release us, and our licensees, from and waive any claims related to or arising by reason of the making and/or use of any such recordings. You grant us and our licensees, the right to use, in connection with the promotion and production of Maker Faire, your name, likeness, and any trade name and/or logo. The provisions of this paragraph will survive termination of this Agreement.

By signing below, you confirm that you have read this Agreement and that you understand and agree that your compliance with this Agreement is a condition of your participation in Maker Faire, and i) if you are signing on behalf of yourself as an individual, you warrant and represent that you are over 18 years of age, and ii) if you are signing on behalf of an organization (including a business), that you are fully authorized to execute this Agreement on behalf of the organization. ")))
