/*
  Copyright (C) 2015 Daniel Watson
  See the end of the file for license conditions.
*/
// challenge-bot
// GNU AGPLv3 (or later at your option)
// project available here:
// https://challenge-bot.com/
$fn = 20;

include <nut-data.scad>
wire_channel_width = 14;
wire_channel_height = 14;

wire_diameter_measured = 1.17;
// some of this fudge is due to using a hexagon instead of a circle
wire_diameter_fudge = 1.4;
wire_diameter = wire_diameter_measured + wire_diameter_fudge;
wire_radius = wire_diameter / 2;

wire_lengths = [10, //strip wire this much
                35, //short breadboard wire
                63, //ground to ground
                120, //arduino breadboard wire
                180 //motor wire
               ];

module wire_channel_groove_2d(width, height, wire_radius) {
  difference() {
    square([width, height]);
    translate([width / 2, height / 2]) {
      rotate(a = 90, v = [0, 0, 1]) {
        nut_2d(wire_diameter); } } } }

module wire_channel_groove(width, height, wire_radius, length) {
  rotate(a = 90, v = [1, 0, 0]) {
    linear_extrude(height = length) {
      wire_channel_groove_2d(width, height, wire_radius); } } }

/*
  This file is part of challenge-bot.

  Challenge-bot is free software: you can redistribute it and/or modify
  it under the terms of the GNU Affero General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  GNU Affero Emacs is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Affero General Public License for more details.

  You should have received a copy of the GNU Affero General Public License
  along with challenge-bot.  If not, see <http://www.gnu.org/licenses/>.
*/
